Bug 193594 - Man command doesn't read /etc/man.config for manpath
Man command doesn't read /etc/man.config for manpath
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-05-30 16:34 EDT by Penelope Fudd
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-30 04:15:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Man -w -d output (924 bytes, application/octet-stream)
2006-06-07 10:24 EDT, Penelope Fudd
no flags Details
/etc/man.config (4.52 KB, text/plain)
2006-06-07 10:25 EDT, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2006-05-30 16:34:12 EDT
Description of problem:
I added a file to /usr/local/share/man/man1 (call it foo.1), but typing 'man
foo' doesn't display it.

Version-Release number of selected component (if applicable):

How reproducible:
All the time

Steps to Reproduce:
1. mkdir -p /usr/local/share/man/man1
2. cp testfile.1 /usr/local/share/man/man1
3. chmod -R a+rX /usr/local/share/man
4. vi /etc/man.config   (make sure /usr/local/share/man is in MANPATH)
5. man testfile
6. man -w
7. manpath

Actual results:
No manual entry for testfile

Expected results:
Manpage for testfile should show up, man -w/manpath should show

Additional info:
Initially I thought it was due to my LANG being set to POSIX, but changing it
back to en_US.UTF-8 had no effect.
Comment 1 Penelope Fudd 2006-05-30 16:35:37 EDT
The command "strace -fo/tmp/a manpath" shows that manpath is reading
/etc/man.config, but not actually checking to see if /usr/local/share/man is
Comment 2 Ivana Varekova 2006-06-07 04:50:44 EDT
Could you please attach the output of command `man -w -d` and your man.config file.
Comment 3 Penelope Fudd 2006-06-07 10:24:54 EDT
Created attachment 130678 [details]
Man -w -d output
Comment 4 Penelope Fudd 2006-06-07 10:25:36 EDT
Created attachment 130679 [details]
Comment 5 Penelope Fudd 2006-06-14 18:55:45 EDT
Comment 6 Ivana Varekova 2006-11-30 04:15:29 EST
man behavior is right. It seems you have nonstandart setting -
The set of paths which is man looking for man pages depends on enviroment
variables. It seems you have set variable MANPATH to "/usr/share/man" which
causes this behavior. 

Note You need to log in before you can comment on or make changes to this bug.